package com.zm.order.tool.server.chen;

import com.zm.order.tool.server.model.food;
import com.zm.order.tool.server.model.foodKey;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface FoodDao {

    List<food> selectList(@Param("orderNoList") List<String> orderNoList);

    int deleteByPrimaryKey(foodKey key);

    int insert(food record);

    int insertSelective(food record);

    food selectByPrimaryKey(foodKey key);

    int updateByPrimaryKeySelective(food record);

    int updateByPrimaryKey(food record);
}